package esercitazione1.mensola;

public class Mensola {


	private Book[] books;
	private Integer libriSullaMensola;

	
	public Mensola(Integer c) {
		this.books = new Book[c];
		this.libriSullaMensola = 0;
	}
	
	public Integer contaLibri(){
		return this.libriSullaMensola;
	}
	
	public void mettiLibroIn(Integer p, Book b){
		this.books[p] = b;
	}
	
	public Book prendiLibroIn(Integer p){
		Book libroDaPrendere = this.books[p];
		this.books[p] = null;
		return libroDaPrendere;
	}
	
	
	public void stampaTitoliLibri(){
		
		for (int i = 0; i < this.books.length; i++) {
			if (this.books[i] != null)
				System.out.println(this.books[i].getTitle());
		}
		
	}
	
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		Mensola m = new Mensola(10);
		
		Book b1 = new Book("Il nome della rosa");
		Book b2 = new Book("Apocalisse");
		
		m.mettiLibroIn(3, b1);
		m.mettiLibroIn(4, b2);

		m.stampaTitoliLibri();
		
		
		
	}

}
