package esercitazione1.mensola;


public class MensolaMultiuso<T extends Titleable> {

	private T[] items;
	private Integer itemSullaMensola;

	
	public MensolaMultiuso(Integer c) {
		this.items = (T[]) new Titleable[c];
		this.itemSullaMensola = 0;
	}
	
	public Integer contaItem(){
		return this.itemSullaMensola;
	}
	
	public void mettiItemIn(Integer p, T b){
		this.items[p] = b;
	}
	
	public T prendiLibroIn(Integer p){
		T libroDaPrendere = this.items[p];
		this.items[p] = null;
		return libroDaPrendere;
	}
	
	
	public void stampaTitoliItemInMensola(){
		
		for (int i = 0; i < this.items.length; i++) {
			if (this.items[i] != null)
				System.out.println(this.items[i].getTitle());
		}
	}
	
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		MensolaMultiuso<Book> m = new MensolaMultiuso<Book>(10);
		
		Book b1 = new Book("Il nome della rosa");
		Book b2 = new Book("Apocalisse");
		
		m.mettiItemIn(3, b1);
		m.mettiItemIn(4, b2);

		m.stampaTitoliItemInMensola();
		
		MensolaMultiuso<CD> mg = new MensolaMultiuso<CD>(9);
		
		CD cd1 = new CD("The Wall");
		mg.mettiItemIn(5, cd1);
		mg.stampaTitoliItemInMensola();
		
	}

}
